[Overview][Classes][Variables][Index] | Reference for unit 'MSSQLConn' (#fcl)

# EMSSQLDatabaseError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Sybase/MS SQL Server specific error

## Declaration

Source position: mssqlconn.pp line 142

`type EMSSQLDatabaseError = class(ESQLDatabaseError)`
`public`
`property DBErrorCode: Integer; [r] deprecated ;` |  | Sybase/MS SQL Server error code
`end;`

## Inheritance

`EMSSQLDatabaseError` |  | Sybase/MS SQL Server specific error
`ESQLDatabaseError` |  | SQL database error class.
`EDatabaseError` |  | Base class for all database-related errors
`Exception`
`TObject`